Lua_ChaosCopyHookResultWindow = class("Lua_ChaosCopyHookResultWindow", Lua_Window)
function Lua_ChaosCopyHookResultWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChaosCopyHookResultWindow";
	self.skinName = "ChaosCopyHookResultWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ChaosCopyHookResultWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 625, 280, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -50, 0);
	self.itemList:setListCell(Lua_ItemIconCell, 125, 120, 5);
	self.itemList:setCellSpacing(0, 5);
	self.itemList.tweenId = 2003;
end

function Lua_ChaosCopyHookResultWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_ChaosCopyHookResultWindow:showWin(param)
	self:superCall("showWin", param);
	self.timeText.text = LanUtil.formateStr(796012, Lua_TimeTransform.transSeconds6(param.hook_time));

	local tab = DataCenter.packData:getRewardDic(param.all_reward);
	local arr = DataCenter.packData:getRewardList(tab);
	self.itemList:setArrayData(arr);
end