Lua_ChaosCopySwordsAttrWindow = class("Lua_ChaosCopySwordsAttrWindow", Lua_Window)
function Lua_ChaosCopySwordsAttrWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChaosCopySwordsAttrWindow";
	self.skinName = "ChaosCopySwordsAttrWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ChaosCopySwordsAttrWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.promptText:setLangValue(796018);

	self.itemList = Lua_DragList.new(self.content, 580, 178, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -14, 0);
	self.itemList:setListCell(Lua_ChaosCopySwordsAttrCell, 285, 37, 2);
	self.itemList:setCellSpacing(10, 10);

	self.itemList:setArrayData(DataCenter.chaosCopyData.swordsAttrList);
	self.itemList.canDrag = not self.itemList.isTheEnd;
end

function Lua_ChaosCopySwordsAttrWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end










Lua_ChaosCopySwordsAttrCell = class("Lua_ChaosCopySwordsAttrCell", Lua_ListCell)
function Lua_ChaosCopySwordsAttrCell:ctor(p)
	self:superCall("ctor", p, "ChaosCopySwordsAttrCell_skin");
end

function Lua_ChaosCopySwordsAttrCell:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_ChaosCopySwordsAttrCell:dispose()
	self:superCall("dispose");
end

function Lua_ChaosCopySwordsAttrCell:setData(data)
	self.icon:setAltas("common_altas_2", data.attr_icon_1);
	self.nameText.text = data.show_name;
	self.valueText.text = "+"..data.showValue;
end